"""
Plugins allowing user to request a X-ray support.

Currently will simply open you a new email to send to the
XRay "dispatcher" people.

"""

import webbrowser

import click


@click.command()
@click.pass_obj
def cli(telemetry):
    """ allowing you to request xray support """

    if telemetry is not None:
        telemetry.track_event("xray cmd")

    uri = "mailto:ittner.jan@bcg.com,ravindran.arun@bcg.com?subject=[XRAY] Request for the project: &body=TBC"
    webbrowser.open(uri, new=2, autoraise=True)
